Skip to content
Developer

Session

Open data4 EndpointsPublic / Session

Get or start a new public session

GET/api/cp/public_session

Responses

200Get or start a new public sessionPublicSession

Show fields (22)
  • tokenstring

    Token that identifies the public session.

  • person_first_namestring

    First name of the person entered in the session.

  • person_last_namestring

    Last name of the person entered in the session.

  • person_emailstring

    E-mail address of the person entered in the session.

  • person_phonestring

    Phone number of the person entered in the session.

  • company_namestring

    Name of the company entered in the session.

  • company_emailstring

    E-mail address of the company entered in the session.

  • company_phonestring

    Phone number of the company entered in the session.

  • company_addressstring

    Address of the company, as text.

  • company_address_street_levelstring

    Street and house number of the company address.

  • company_address_costring

    Care-of line of the company address.

  • company_address_citystring

    City of the company address.

  • company_address_zipstring

    Postal code of the company address.

  • company_address_countrystring

    Country of the company address.

  • person_addressstring

    Address of the person, as text.

  • person_address_street_levelstring

    Street and house number of the person address.

  • person_address_costring

    Care-of line of the person address.

  • person_address_citystring

    City of the person address.

  • person_address_zipstring

    Postal code of the person address.

  • person_address_countrystring

    Country of the person address.

  • person_birthdaystring (date-time)

    Birthday of the person entered in the session.

  • person_genderstring

    Gender of the person entered in the session.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/cp/public_session
Response 200 application/json
{
  "person_first_name": "Beispiel",
  "person_last_name": "Beispiel",
  "person_email": "lena.hartmann@example.org",
  "person_phone": "+49 511 123456",
  "company_name": "Beispiel",
  "company_email": "lena.hartmann@example.org",
  "company_phone": "+49 511 123456",
  "company_address_city": "Hannover",
  "company_address_zip": "30163",
  "company_address_country": "DE"
}

Update / create fields of public session

POST/api/cp/public_session

Request body application/json

  • dataPublicSession2
    Show fields (21)
    • person_first_namestring

      First name of the person entered in the session.

    • person_last_namestring

      Last name of the person entered in the session.

    • person_emailstring

      E-mail address of the person entered in the session.

    • person_phonestring

      Phone number of the person entered in the session.

    • company_namestring

      Name of the company entered in the session.

    • company_emailstring

      E-mail address of the company entered in the session.

    • company_phonestring

      Phone number of the company entered in the session.

    • company_addressstring

      Address of the company, as text.

    • company_address_street_levelstring

      Street and house number of the company address.

    • company_address_costring

      Care-of line of the company address.

    • company_address_citystring

      City of the company address.

    • company_address_zipstring

      Postal code of the company address.

    • company_address_countrystring

      Country of the company address.

    • person_addressstring

      Address of the person, as text.

    • person_address_street_levelstring

      Street and house number of the person address.

    • person_address_costring

      Care-of line of the person address.

    • person_address_citystring

      City of the person address.

    • person_address_zipstring

      Postal code of the person address.

    • person_address_countrystring

      Country of the person address.

    • person_birthdaystring (date-time)

      Birthday of the person entered in the session.

    • person_genderstring

      Gender of the person entered in the session.

Responses

200Update fields of public sessionPublicSession3

Show fields (25)
  • idinteger

    Primary key of the public session. Internal ID.

  • tokenstring

    Token that identifies the public session.

  • person_first_namestring

    First name of the person entered in the session.

  • person_last_namestring

    Last name of the person entered in the session.

  • person_emailstring

    E-mail address of the person entered in the session.

  • person_phonestring

    Phone number of the person entered in the session.

  • company_namestring

    Name of the company entered in the session.

  • company_emailstring

    E-mail address of the company entered in the session.

  • company_phonestring

    Phone number of the company entered in the session.

  • company_addressstring

    Address of the company, as text.

  • company_address_street_levelstring

    Street and house number of the company address.

  • company_address_costring

    Care-of line of the company address.

  • company_address_citystring

    City of the company address.

  • company_address_zipstring

    Postal code of the company address.

  • company_address_countrystring

    Country of the company address.

  • person_addressstring

    Address of the person, as text.

  • person_address_street_levelstring

    Street and house number of the person address.

  • person_address_costring

    Care-of line of the person address.

  • person_address_citystring

    City of the person address.

  • person_address_zipstring

    Postal code of the person address.

  • person_address_countrystring

    Country of the person address.

  • person_birthdaystring (date-time)

    Birthday of the person entered in the session.

  • person_genderstring

    Gender of the person entered in the session.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/cp/public_session \
  --header 'content-type: application/json' \
  --data '
{
  "data": {
    "person_first_name": "Beispiel",
    "person_last_name": "Beispiel",
    "person_email": "lena.hartmann@example.org",
    "person_phone": "+49 511 123456",
    "company_name": "Beispiel",
    "company_email": "lena.hartmann@example.org"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "person_first_name": "Beispiel",
  "person_last_name": "Beispiel",
  "person_email": "lena.hartmann@example.org",
  "person_phone": "+49 511 123456",
  "company_name": "Beispiel",
  "company_email": "lena.hartmann@example.org",
  "company_phone": "+49 511 123456",
  "company_address_city": "Hannover",
  "company_address_zip": "30163"
}

Update / create fields of public session

PUT/api/cp/public_session

Request body application/json

  • dataPublicSession2
    Show fields (21)
    • person_first_namestring

      First name of the person entered in the session.

    • person_last_namestring

      Last name of the person entered in the session.

    • person_emailstring

      E-mail address of the person entered in the session.

    • person_phonestring

      Phone number of the person entered in the session.

    • company_namestring

      Name of the company entered in the session.

    • company_emailstring

      E-mail address of the company entered in the session.

    • company_phonestring

      Phone number of the company entered in the session.

    • company_addressstring

      Address of the company, as text.

    • company_address_street_levelstring

      Street and house number of the company address.

    • company_address_costring

      Care-of line of the company address.

    • company_address_citystring

      City of the company address.

    • company_address_zipstring

      Postal code of the company address.

    • company_address_countrystring

      Country of the company address.

    • person_addressstring

      Address of the person, as text.

    • person_address_street_levelstring

      Street and house number of the person address.

    • person_address_costring

      Care-of line of the person address.

    • person_address_citystring

      City of the person address.

    • person_address_zipstring

      Postal code of the person address.

    • person_address_countrystring

      Country of the person address.

    • person_birthdaystring (date-time)

      Birthday of the person entered in the session.

    • person_genderstring

      Gender of the person entered in the session.

Responses

200Update fields of public sessionPublicSession3

Show fields (25)
  • idinteger

    Primary key of the public session. Internal ID.

  • tokenstring

    Token that identifies the public session.

  • person_first_namestring

    First name of the person entered in the session.

  • person_last_namestring

    Last name of the person entered in the session.

  • person_emailstring

    E-mail address of the person entered in the session.

  • person_phonestring

    Phone number of the person entered in the session.

  • company_namestring

    Name of the company entered in the session.

  • company_emailstring

    E-mail address of the company entered in the session.

  • company_phonestring

    Phone number of the company entered in the session.

  • company_addressstring

    Address of the company, as text.

  • company_address_street_levelstring

    Street and house number of the company address.

  • company_address_costring

    Care-of line of the company address.

  • company_address_citystring

    City of the company address.

  • company_address_zipstring

    Postal code of the company address.

  • company_address_countrystring

    Country of the company address.

  • person_addressstring

    Address of the person, as text.

  • person_address_street_levelstring

    Street and house number of the person address.

  • person_address_costring

    Care-of line of the person address.

  • person_address_citystring

    City of the person address.

  • person_address_zipstring

    Postal code of the person address.

  • person_address_countrystring

    Country of the person address.

  • person_birthdaystring (date-time)

    Birthday of the person entered in the session.

  • person_genderstring

    Gender of the person entered in the session.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/cp/public_session \
  --header 'content-type: application/json' \
  --data '
{
  "data": {
    "person_first_name": "Beispiel",
    "person_last_name": "Beispiel",
    "person_email": "lena.hartmann@example.org",
    "person_phone": "+49 511 123456",
    "company_name": "Beispiel",
    "company_email": "lena.hartmann@example.org"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "person_first_name": "Beispiel",
  "person_last_name": "Beispiel",
  "person_email": "lena.hartmann@example.org",
  "person_phone": "+49 511 123456",
  "company_name": "Beispiel",
  "company_email": "lena.hartmann@example.org",
  "company_phone": "+49 511 123456",
  "company_address_city": "Hannover",
  "company_address_zip": "30163"
}

Update / create fields of public session

PATCH/api/cp/public_session

Request body application/json

  • dataPublicSession2
    Show fields (21)
    • person_first_namestring

      First name of the person entered in the session.

    • person_last_namestring

      Last name of the person entered in the session.

    • person_emailstring

      E-mail address of the person entered in the session.

    • person_phonestring

      Phone number of the person entered in the session.

    • company_namestring

      Name of the company entered in the session.

    • company_emailstring

      E-mail address of the company entered in the session.

    • company_phonestring

      Phone number of the company entered in the session.

    • company_addressstring

      Address of the company, as text.

    • company_address_street_levelstring

      Street and house number of the company address.

    • company_address_costring

      Care-of line of the company address.

    • company_address_citystring

      City of the company address.

    • company_address_zipstring

      Postal code of the company address.

    • company_address_countrystring

      Country of the company address.

    • person_addressstring

      Address of the person, as text.

    • person_address_street_levelstring

      Street and house number of the person address.

    • person_address_costring

      Care-of line of the person address.

    • person_address_citystring

      City of the person address.

    • person_address_zipstring

      Postal code of the person address.

    • person_address_countrystring

      Country of the person address.

    • person_birthdaystring (date-time)

      Birthday of the person entered in the session.

    • person_genderstring

      Gender of the person entered in the session.

Responses

200Update fields of public sessionPublicSession3

Show fields (25)
  • idinteger

    Primary key of the public session. Internal ID.

  • tokenstring

    Token that identifies the public session.

  • person_first_namestring

    First name of the person entered in the session.

  • person_last_namestring

    Last name of the person entered in the session.

  • person_emailstring

    E-mail address of the person entered in the session.

  • person_phonestring

    Phone number of the person entered in the session.

  • company_namestring

    Name of the company entered in the session.

  • company_emailstring

    E-mail address of the company entered in the session.

  • company_phonestring

    Phone number of the company entered in the session.

  • company_addressstring

    Address of the company, as text.

  • company_address_street_levelstring

    Street and house number of the company address.

  • company_address_costring

    Care-of line of the company address.

  • company_address_citystring

    City of the company address.

  • company_address_zipstring

    Postal code of the company address.

  • company_address_countrystring

    Country of the company address.

  • person_addressstring

    Address of the person, as text.

  • person_address_street_levelstring

    Street and house number of the person address.

  • person_address_costring

    Care-of line of the person address.

  • person_address_citystring

    City of the person address.

  • person_address_zipstring

    Postal code of the person address.

  • person_address_countrystring

    Country of the person address.

  • person_birthdaystring (date-time)

    Birthday of the person entered in the session.

  • person_genderstring

    Gender of the person entered in the session.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/cp/public_session \
  --header 'content-type: application/json' \
  --data '
{
  "data": {
    "person_first_name": "Beispiel",
    "person_last_name": "Beispiel",
    "person_email": "lena.hartmann@example.org",
    "person_phone": "+49 511 123456",
    "company_name": "Beispiel",
    "company_email": "lena.hartmann@example.org"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "person_first_name": "Beispiel",
  "person_last_name": "Beispiel",
  "person_email": "lena.hartmann@example.org",
  "person_phone": "+49 511 123456",
  "company_name": "Beispiel",
  "company_email": "lena.hartmann@example.org",
  "company_phone": "+49 511 123456",
  "company_address_city": "Hannover",
  "company_address_zip": "30163"
}